xmlpp::ParserInputBuffer Class Referenceabstract

Base class for xmlParserInputBuffer wrapper. More...

`#include <libxml++/io/parserinputbuffer.h>`

Inheritance diagram for xmlpp::ParserInputBuffer:
[legend]

## Public Member Functions

| ParserInputBuffer ()
virtual | ~ParserInputBuffer ()
_xmlParserInputBuffer* | cobj ()
| gives an access to the underlying libxml structure to the children More...
const _xmlParserInputBuffer* | cobj () const
| gives an access to the underlying libxml structure to the children More...

## Additional Inherited Members

Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable ()
virtual | ~NonCopyable ()

## Detailed Description

Base class for xmlParserInputBuffer wrapper.

It can be herited to create a new output buffer. A child class has to override do_write, and eventually do_close if some actions are required before buffer closing.

## Constructor & Destructor Documentation

xmlpp::ParserInputBuffer::ParserInputBuffer | ( |  | ) |

virtual xmlpp::ParserInputBuffer::~ParserInputBuffer | ( |  | ) |

virtual

## Member Function Documentation

_xmlParserInputBuffer* xmlpp::ParserInputBuffer::cobj | ( |  | ) |

gives an access to the underlying libxml structure to the children

const _xmlParserInputBuffer* xmlpp::ParserInputBuffer::cobj | ( |  | ) | const

gives an access to the underlying libxml structure to the children